- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAssetManager
TCacheHttpSession
THttpCookie
THttpCookieCollection
THttpRequest
THttpRequestUrlFormat
THttpResponse
THttpResponseAdapter
THttpSession
THttpSessionCookieMode
THttpUtility
TSessionIterator
TUri
TUrlManager
TUrlMapping
TUrlMappingPattern

Keyword

# Class THttpSessionCookieMode

    TEnumerable
       |
       --THttpSessionCookieMode

THttpSessionCookieMode class.

THttpSessionCookieMode defines the enumerable type for the possible methods of using cookies to store session ID.

The following enumerable values are defined:

- None: not using cookie.
- Allow: using cookie.
- Only: using cookie only.

Since: 3.0.4
Author: Qiang Xue <qiang.xue@gmail.com>

Constant Summary
string | Allow |
string | None |
string | Only |

Constant Details

### Allow

#### Type:

string

#### Value:

'Allow'

### None

#### Type:

string

#### Value:

'None'

### Only

#### Type:

string

#### Value:

'Only'